"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.modulesPreloadHandle = void 0;
/**
 * Serving the preload modules script.
 * @param preloadList - list of modules to preload
 */
var modulesPreloadHandle = function (preloadList) {
    return function (req, res) {
        res.contentType('application/javascript');
        res.send(preloadList.reduce(function (r, i) {
            return r + "\ndocument.write('<link rel=\"modulepreload\" href=\"" + i + "\"/>');";
        }, ''));
    };
};
exports.modulesPreloadHandle = modulesPreloadHandle;
//# sourceMappingURL=modules-preload-handle.js.map